
Infrastructure - Task #5994

Create facility for tracking replication attempts and limit re-tries.

2014-07-23 19:14 - Skye Roseboom

Status: Closed Start date: 2014-07-23

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_replication Estimated time: 0.00 hour

Target version: 2014.30-Block.4.3   

Milestone: CCI-1.4 Story Points:  

Product Version: 1.4.0   

Description

Need to create a facility for tracking replication request attempts by PID and Node.  

Replication control logic needs to be updated to use this new re-try facility tracking, to stop replication attempts for documents that

continue to fail.  This limits the amount of repeated replication attempts for documents that are not able to be replicated.

Facility needs to work across instances of the PID being introduced to the replication queue.

Related issues:

Related to Infrastructure - Story #5533: CCI 1.4.0 Release Closed

Associated revisions

Revision 14513 - 2014-09-04 01:09 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

Revision 14513 - 2014-09-04 01:09 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

Revision 14513 - 2014-09-04 01:09 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

Revision 14513 - 2014-09-04 01:09 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

Revision 14514 - 2014-09-04 05:38 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.
Revision 14514 - 2014-09-04 05:38 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

Revision 14514 - 2014-09-04 05:38 - Robert Waltz

refs #5994 

update process daemon postinst to create replication-history db schema and user.

History

#1 - 2014-07-23 19:15 - Skye Roseboom

- Assignee changed from Robert Waltz to Skye Roseboom

#2 - 2014-07-23 22:12 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2014-07-31 19:59 - Robert Waltz

- Product Version changed from * to 1.4.0

- Target version set to 2014.30-Block.4.3

#4 - 2014-08-26 15:02 - Skye Roseboom

- Status changed from In Progress to Testing

#5 - 2014-09-11 15:42 - Skye Roseboom

- translation missing: en.field_remaining_hours set to 0.0

- Status changed from Testing to Closed

Tested and verified in cn-sandbox and cn-stage.
